version: '3.4'

services:
  nats:
    image: 'nats:latest'
    container_name: nats
    ports:
      - 4222:4222
    command:
      - "--debug"
    networks: 
      - scheduler
      - catalog
  loki:
    image: 'grafana/loki'
    container_name: loki
    ports : 
      - "3100:3100"
    networks:
      - scheduler
  grafana:
    image: 'grafana/grafana'
    container_name: grafana
    ports:
      - '3000:3000'
    networks:
      - scheduler
    volumes:
      - ./conf/grafana_data_source.yml:/etc/grafana/provisioning/datasources/datasource.yml
    environment:
      - GF_SECURITY_ADMIN_PASSWORD=pfnirt                   # Change this to anything but admin to not have a password change page at startup
      - GF_SECURITY_ADMIN_USER=admin
      - GF_SECURITY_DISABLE_INITIAL_ADMIN_PASSWORD_CHANGE=true

networks: 
  scheduler:
    external: true
  catalog:
    external: true